# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2008. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split() #splits space-separated lists,
        else:
                tmpList = inStr.split("\n")   #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();         #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList
#endDef

applicationName = sys.argv[0]
warURI = sys.argv[1]
enableFlag = sys.argv[2] 

print "INFO:  Arguments - " + applicationName + " " + warURI + " " + enableFlag

app = AdminConfig.getid("/Deployment:" + applicationName + "/")
webModules = AdminConfig.list("WebModuleDeployment", app)
webModulesList = wsadminToList(webModules)

for i in range(len(webModulesList)):
	abxModule = webModulesList[i]
	uriVal = AdminConfig.showAttribute(abxModule, "uri")
    	
    	if(uriVal == warURI):
    		print "INFO:  Modifying the targetmapping information"
    		tMappings = AdminConfig.showAttribute(abxModule, "targetMappings")
    		print "INFO:  tMappings - " + tMappings
    		tMappingsList = wsadminToList(tMappings)
    		abxMapping = tMappingsList[0]
    		AdminConfig.modify(abxMapping, [["enable", enableFlag]])
    	#endif

print "INFO:  Modified the default start flag to set to - "  + enableFlag

AdminConfig.save( )
